var args = arguments[0] || {};
var showHeader = args.hasOwnProperty('showHeader') ? args.showHeader : false;
var content = args.content || null;
var bgOpacity = args.hasOwnProperty('bgOpacity') ? args.bgOpacity : false;

if ( showHeader === true ) {
	var header = Alloy.createController('partials/header').getView();
	$.modal.add(header);
}

if ( content ) {
	if ( typeof content == 'string' ) {
		var content = Alloy.createController(content).getView();
		$.modalContent.add(content);
	}
	else {
		Ti.API.error('incorrect value passed to modal view as a content');
	}
}

if ( ! bgOpacity ) {
	$.modalBg.visible = false;
}
else {
	$.modalBg.setOpacity(bgOpacity);
}

function closeModal() {
	Alloy.Globals.navigation.closeModal();
}
