var args = arguments[0] || {};
var searchParamsObj = args.searchParams || {};

var currentPage = 1;

exports.title = 'ძებნა';

init();

function init() {
	$.searchField.setWidth(
		Ti.Platform.displayCaps.platformWidth - $.filter.getWidth() - $.filter.getLeft()
	);

	if ( searchParamsObj.hasOwnProperty('s') ) {
		$.searchField.setValue( searchParamsObj.s );
	}
}

function doFilter() {
	var filter = Alloy.Globals.navigation.openCached('filter');
}

function doSearch() {
	searchParamsObj.s = $.searchField.getValue();
	searchWrapper(generateSearchString(searchParamsObj), 1, function(data) {
		$.placesList.populateList(data);
	});
	//hide keyboard after clicking search button
	$.searchField.blur();
}

searchWrapper(generateSearchString(searchParamsObj), 1, function(data) {
	$.placesList.populateList(data);
});

function markerEvent() {
	searchWrapper(generateSearchString(searchParamsObj), currentPage + 1, function(data) {
		$.placesList.populateList(data, 'append');
		currentPage++;
	});
}
