var args = arguments[0] || {};
var catid = args.catid || null;

exports.title = 'კატეგორიები';

var categories = $.catLevel1;

function categoryItemClicked(e) {
	var item = $.categoriesListView.sections[0].getItemAt(e.itemIndex);
	var _catId = item.properties.catid;

	if ( _catId.length === 24 ) {

		var db = Titanium.Database.open('localistDB');
		var cats = db.execute("SELECT COUNT(*) as count FROM categories WHERE parent = '" + _catId + "'");

		if ( cats.fieldByName('count') > 0 ) {
			Alloy.Globals.navigation.open('categories', {catid: _catId});
		}
		else {
			var searchParams = {
				"cat[]": _catId
			};

			Alloy.Globals.navigation.open('search', {searchParams: searchParams});
		}

		db.close();
	}
}

function doTransform(model) {
	var o = model.toJSON();
	o.name = o.name_ka;
	o.icon = '/images/category_icons/' + o.id + '.png';
	//Ti.API.info(o);
	return o;
}

function filterFunction(collection) {
	return collection;
	//return collection.where({id: "52616c85f6e659275e45a162"});
}

if ( catid === null ) {
	categories.fetch({
		query: "SELECT * FROM categories WHERE parent IS NULL"
	});
}
else {
	categories.fetch({
		query: "SELECT * FROM categories WHERE parent = '" + catid + "'"
	});
}
