var args = arguments[0] || {};

var popover;

var settingsList = [
	{
		name: "Wifi",
		value: 'wifi'
	},
	{
		name: 'ადგილზე მიტანა',
		value: 'delivery'
	}
];

var distanceOpts = {
	options: ['500 მ', '1 კმ', '2 კმ', '4 კმ'],
	title: 'დაშორების არჩევა'
};
var distanceOptsValues = [500, 1000, 2000, 4000];

var sortOpts = {
	options: ['საძებნი ფრაზით', 'მანძილით', 'განხილვებით', 'რეიტინგით'],
	title: 'დაშორების არჩევა'
};
var sortOptsValues = ['relevance', 'distance', 'reviews', 'rating'];

init();

function closeMe() {
	Alloy.Globals.navigation.back();
}

function doSearch() {
	Alloy.Globals.navigation.back();
	Ti.API.info(Alloy.Globals.searchFilters);
}

function showSortByDialog() {
	var dialog = Ti.UI.createOptionDialog(sortOpts);
	dialog.show();
	dialog.addEventListener('click', function(e) {
		$.sortBySelected.text = sortOpts.options[e.index];
		Alloy.Globals.searchFilters.sort = sortOptsValues[e.index];
	});
}

function showDistanceDialog() {
	var dialog = Ti.UI.createOptionDialog(distanceOpts);
	dialog.show();
	dialog.addEventListener('click', function(e) {
		$.distanceSelected.text = distanceOpts.options[e.index];
		Alloy.Globals.searchFilters.distance = distanceOptsValues[e.index];
	});
}

function init() {
	var len = settingsList.length,
		i, item, data;
	
	for ( i = 0; i<len; i++ ) {
		data = {
			name: settingsList[i].name,
			value: settingsList[i].value
		};
		item = Alloy.createController('partials/settings_item', data).getView();
		
		$.options.add(item);
	}
}

function _selectCallback(e) {
	Ti.API.info(e);
	if ( e.event_name == 'sortBy_selected' ) {
		$.sortBySelected.text = e.name;
	}
	else if ( e.event_name == 'distance_selected' ) {
		$.distanceSelected.text = e.name;
	}
	
	popover.close();
}
