var wHeight,
	currentRating = 0;

$.writeReview.addEventListener('postlayout', function() {
	wHeight = $.writeReview.rect.height;
});

//როცა კლავიატურა გამოჩნდება
Ti.App.addEventListener('keyboardframechanged', function(e) {
	var selectHeight = $.selectRating.getHeight();
	var actionsHeight = $.writeRevActions.getHeight();
	var toolbarHeight = $.toolbar.getHeight();
	$.writeReviewArea.setHeight(wHeight - selectHeight - e.keyboardFrame.height - actionsHeight - toolbarHeight - 20);
});

//როცა ფანჯარა გაიხსნება
$.writeReview.addEventListener('open', function() {
	setTimeout(function() {
		$.writeReviewArea.focus();
	}, 200);
	
	var title = $.writeReview.title;
	var titleLabel = Titanium.UI.createLabel({color: 'white', text: title});
	$.writeReview.setTitleControl(titleLabel);
});

function submitReview() {
	alert('I will submit');
}

function setRating(e) {
	var rating = e.source.id.substring(e.source.id.length - 1);
	var i;
	
	if ( rating < currentRating ) {
		for ( i = currentRating; i > rating; i-- ) {
			$['rating_' + i].setImage('/images/tmp/rating_default.png');
		}
	}
	else if ( rating > currentRating ) {
		for ( i = currentRating || 1; i <= rating; i++ ) {
			$['rating_' + i].setImage('/images/tmp/rating_selected.png');
		}
	}
	currentRating = rating;
}

function addPhoto() {
	alert('Coming Soon');
}

function closeMe() {
	$.writeReview.close();
}
